> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark events as seen



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/mark_events_as_seen
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/mark_events_as_seen:
    post:
      tags:
        - Other
      summary: Mark events as seen
      operationId: mark-events-as-seen
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarkEventsAsSeenRequest'
            example:
              chat_id: PJ0MRSHTDG
              seen_up_to: '2026-06-12T15:19:21.010200Z'
      responses:
        '200':
          description: Events marked as seen.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    MarkEventsAsSeenRequest:
      type: object
      required:
        - chat_id
        - seen_up_to
      properties:
        chat_id:
          type: string
        seen_up_to:
          type: string
          description: The RFC 3339 date-time format.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````